> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Batch Payments

> Create multiple batch payments




## OpenAPI

````yaml openapi-v1.json post /batches
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /batches:
    summary: Batches
    description: >
      The collection represents the templates that are used to create, update,
      and delete batch payments.
    post:
      tags:
        - Batch Payments
      summary: Create Batch Payments
      description: |
        Create multiple batch payments
      operationId: createBatchPayments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/create_batch_payments_request'
        description: Attributes of the Batch Payment
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create_batch_payments_response'
          description: Successful creation of a Batch Payment
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    create_batch_payments_request:
      properties:
        dry_run:
          description: >
            Whether or not the batch should be created as a dry run. If the
            batch is created as a dry run, the batch will not be processed.
          type: boolean
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_ids:
          description: >
            The IDs of the transfers that are part of the batch. These values
            can be modified by the client before  the batch is in a terminal
            status.
          items:
            format: uuid
            type: string
          type: array
      required:
        - transaction_ids
      title: Request for creating batch payments
      type: object
    create_batch_payments_response:
      properties:
        batches:
          $ref: '#/components/schemas/batch_payments'
        dry_run:
          description: >
            Whether or not the batch should be created as a dry run. If the
            batch is created as a dry run, the batch will not be processed.
          type: boolean
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - batches
      title: Response for creating a batch
      type: object
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    batch_payments:
      description: |
        A collection of batch payments
      items:
        $ref: '#/components/schemas/batch_payment'
      title: Batch Payments
      type: array
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    batch_payment:
      description: >
        A Batch Payment is a collection of transfers that are processed
        together. These transfers represent a new transfer on the ledger.
      properties:
        amount:
          description: |
            The total amount of the batch transfer.
          format: int64
          readOnly: true
          type: integer
        batch_payment_template_id:
          description: >
            The ID of the batch Payment template that was used to create the
            batch.
          format: uuid
          type: string
        batched_transfer_ids:
          description: >
            The IDs of the transfers that are part of the batch. These values
            can be modified by the client before  the batch is in a terminal
            status.
          items:
            format: uuid
            type: string
          type: array
        creation_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          example: d290f1ee-6c54-4b01-90e6-d701748f0851
          format: uuid
          readOnly: true
          type: string
        last_updated_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        payment_rail:
          description: |
            The payment rail that was used to process the batch.
          type: string
        payment_rail_transfer_id:
          description: >
            The ID of the payment rail transfer that was used to process the
            batch.
          format: uuid
          type: string
        status:
          $ref: '#/components/schemas/batch_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_id:
          description: >
            The transaction ID of the batch which represents a transaction on
            the ledger.
          format: uuid
          type: string
      required:
        - amount
        - batch_payment_template_id
        - batched_transfer_ids
        - creation_time
        - id
        - last_updated_time
        - status
      title: Batch Payment
      type: object
    batch_status:
      description: |
        The status of a Batch
      enum:
        - CANCELLED
        - COMPLETED
        - DECLINED
        - INITIATED
        - PENDING_APPROVAL
        - PENDING_PAYMENT
        - RETURNED
      title: Batch Status
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````